[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TCustomLazComponentQueue.ReadComponent

Reads a component from the queue and sets it owner.

## Declaration

Source position: lresources.pp line 426

`public function TCustomLazComponentQueue.ReadComponent(`
`var AComponent: TComponent;`
`NewOwner: TComponent = Nil`
`):Boolean; virtual;`